

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15.9. highlight_html &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.15.10. html_untag" href="html_untag.html" />
    <link rel="prev" title="7.15.8. highlight_full" href="highlight_full.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/functions/highlight_html.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="html_untag.html" title="7.15.10. html_untag"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="highlight_full.html" title="7.15.8. highlight_full"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" accesskey="U"><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.9. </span><code class="docutils literal notranslate"><span class="pre">highlight_html</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="highlight-html">
<h1><span class="section-number">7.15.9. </span><code class="docutils literal notranslate"><span class="pre">highlight_html</span></code><a class="headerlink" href="#highlight-html" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.5 で追加.</span></p>
</div>
<div class="section" id="summary">
<h2><span class="section-number">7.15.9.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">highlight_html</span></code> は対象テキストをタグ付けします。検索文字列をハイライトさせるために利用することができます。タグ付けされたテキストはHTML中に埋め込みやすいように処理されています。<code class="docutils literal notranslate"><span class="pre">&lt;</span></code> や <code class="docutils literal notranslate"><span class="pre">&gt;</span></code> などの特殊文字は &amp;lt; や &amp;gt; にエスケープされています。キーワードは <code class="docutils literal notranslate"><span class="pre">&lt;span</span> <span class="pre">class=&quot;keyword&quot;&gt;</span></code> と <code class="docutils literal notranslate"><span class="pre">&lt;/span&gt;</span></code> で囲まれています。たとえば、 <code class="docutils literal notranslate"><span class="pre">I</span> <span class="pre">am</span> <span class="pre">a</span> <span class="pre">groonga</span> <span class="pre">user.</span> <span class="pre">&lt;3</span></code> という対象テキストのキーワード <code class="docutils literal notranslate"><span class="pre">groonga</span></code> でタグ付けされたテキストは <code class="docutils literal notranslate"><span class="pre">I</span> <span class="pre">am</span> <span class="pre">a</span> <span class="pre">&lt;span</span> <span class="pre">class=&quot;keyword&quot;&gt;groonga&lt;/span&gt;</span> <span class="pre">user.</span> <span class="pre">&amp;lt;3</span></code> となります。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.15.9.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>この関数の引数は1つです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>highlight_html(text)
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.15.9.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>使い方を示すために使うスキーマ定義とサンプルデータは以下の通りです。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Entries TABLE_NO_KEY
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Entries body COLUMN_SCALAR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create Terms TABLE_PAT_KEY ShortText --default_tokenizer TokenBigram --normalizer NormalizerAuto
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Terms document_index COLUMN_INDEX|WITH_POSITION Entries body
# [[0, 1337566253.89858, 0.000355720520019531], true]
load --table Entries
[
{&quot;body&quot;: &quot;Mroonga is a ＭｙＳＱＬ storage engine based on Groonga. &lt;b&gt;Rroonga&lt;/b&gt; is a Ruby binding of Groonga.&quot;}
]
# [[0, 1337566253.89858, 0.000355720520019531], 1]
</pre></div>
</div>
<p>10.0.6より前のバージョンでは、<code class="docutils literal notranslate"><span class="pre">highlight_html</span></code> は <a class="reference internal" href="../commands/select.html"><span class="doc">select</span></a> コマンドの <code class="docutils literal notranslate"><span class="pre">--output_columns</span></code> 内でのみ指定できますが、10.0.6以降は、 <a class="reference internal" href="../commands/logical_select.html"><span class="doc">logical_select</span></a> コマンドの <code class="docutils literal notranslate"><span class="pre">--output_columns</span></code> 内でも使用できます。</p>
<p><code class="docutils literal notranslate"><span class="pre">highlight_html</span></code> を使うには <a class="reference internal" href="../command/command_version.html"><span class="doc">コマンドバージョン</span></a> 2以降を使う必要があります。</p>
<p>また、 <code class="docutils literal notranslate"><span class="pre">--query</span></code> と <code class="docutils literal notranslate"><span class="pre">--filter</span></code> オプションも指定する必要があります。（どちらか一方でも構いません。）これは、 <code class="docutils literal notranslate"><span class="pre">--query</span></code> と <code class="docutils literal notranslate"><span class="pre">--filter</span></code> オプションからキーワードを抽出しているためです。</p>
<p>以下の例は <code class="docutils literal notranslate"><span class="pre">--query</span> <span class="pre">&quot;groonga</span> <span class="pre">mysql&quot;</span></code> を使っています。この場合は、キーワードとして <code class="docutils literal notranslate"><span class="pre">groonga</span></code> と <code class="docutils literal notranslate"><span class="pre">mysql</span></code> を使います。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>select Entries --output_columns --match_columns body --query &#39;groonga mysql&#39; --output_columns &#39;highlight_html(body)&#39; --command_version 2
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         1
#       ],
#       [
#         [
#           &quot;highlight_html&quot;,
#           null
#         ]
#       ],
#       [
#         &quot;Mroonga is a &lt;span class=\&quot;keyword\&quot;&gt;ＭｙＳＱＬ&lt;/span&gt; storage engine based on &lt;span class=\&quot;keyword\&quot;&gt;Groonga&lt;/span&gt;. &amp;lt;b&amp;gt;Rroonga&amp;lt;/b&amp;gt; is a Ruby binding of &lt;span class=\&quot;keyword\&quot;&gt;Groonga&lt;/span&gt;.&quot;
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
<p>キーワードとテキストは <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> ノーマライザーで正規化されてタグ付けのためにスキャンされます。</p>
<p><code class="docutils literal notranslate"><span class="pre">--query</span> <span class="pre">&quot;groonga</span> <span class="pre">mysql&quot;</span></code> は最初のレコードにマッチします。<code class="docutils literal notranslate"><span class="pre">highlight_html(body)</span></code> は、テキスト中に含まれるキーワード <code class="docutils literal notranslate"><span class="pre">groonga</span></code> と <code class="docutils literal notranslate"><span class="pre">mysql</span></code> を <code class="docutils literal notranslate"><span class="pre">&lt;span</span> <span class="pre">class=&quot;keyword&quot;&gt;</span></code> と <code class="docutils literal notranslate"><span class="pre">&lt;/span&gt;</span></code> で囲みます。</p>
<p>カラムの代わりに文字列リテラルを指定することもできます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>select Entries --output_columns &#39;highlight_html(&quot;Groonga is very fast fulltext search engine.&quot;)&#39; --command_version 2 --match_columns body --query &quot;groonga&quot;
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         1
#       ],
#       [
#         [
#           &quot;highlight_html&quot;,
#           null
#         ]
#       ],
#       [
#         &quot;&lt;span class=\&quot;keyword\&quot;&gt;Groonga&lt;/span&gt; is very fast fulltext search engine.&quot;
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.15.9.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.15.9.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数は1つです。</p>
<div class="section" id="text">
<h4><span class="section-number">7.15.9.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">text</span></code><a class="headerlink" href="#text" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>HTMLでハイライトする対象のテキストです。</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.15.9.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数はありません。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.15.9.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">highlight_html</span></code> はタグ付の文字列もしくは null を返します。<code class="docutils literal notranslate"><span class="pre">highlight_html</span></code> は該当するキーワードがない場合に null を返します。</p>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.15.9.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="../commands/select.html"><span class="doc">select</span></a></p></li>
<li><p><a class="reference internal" href="../commands/logical_select.html"><span class="doc">logical_select</span></a></p></li>
<li><p><a class="reference internal" href="highlight_full.html"><span class="doc">highlight_full</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.15.9. <code class="docutils literal notranslate"><span class="pre">highlight_html</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.15.9.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.15.9.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.15.9.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.15.9.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.15.9.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#text">7.15.9.4.1.1. <code class="docutils literal notranslate"><span class="pre">text</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.15.9.4.2. 省略可能引数</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.15.9.5. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.15.9.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="highlight_full.html"
                        title="前の章へ"><span class="section-number">7.15.8. </span><code class="docutils literal notranslate"><span class="pre">highlight_full</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="html_untag.html"
                        title="次の章へ"><span class="section-number">7.15.10. </span><code class="docutils literal notranslate"><span class="pre">html_untag</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="html_untag.html" title="7.15.10. html_untag"
             >次へ</a> |</li>
        <li class="right" >
          <a href="highlight_full.html" title="7.15.8. highlight_full"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" ><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.9. </span><code class="docutils literal notranslate"><span class="pre">highlight_html</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>